**`MUHAMMAD IFTIKHAR`[NAME]** -NL- 8 IVY TERRACE LEY STREET LONDON IG2 7RF -NL- Mobile # **`+44-07503179402`[PHONES_PHONE]** -NL- E-mail: **`c.iftikhar@gmail.com`[EMAILS_EMAIL]** -NL- ServiceNow Certified System Administrator -NL- **`PROFESSIONAL PROFILE`[WORK_EXPERIENCE_HEADING]** -NL- An enthusiastic and professional ServiceNow/CMS/CSS/Jelly Script/ Script include/ UI scripts/ UI Pages/ -NL- Business rule/ Workflow / JAVASCRIPT /AngularJS/JQuery/YUI/Dojo/AngularJS 2/HTML 5/Apache -NL- cordova developer, who enjoys being part of, as well as leading, a successful and productive team. Quick to grasp -NL- new ideas and concepts, and to develop innovative and creative solutions to problems. Able to work well on own -NL- initiative and can demonstrate the high levels of motivation required to meet the tightest of deadlines. Even under -NL- significant pressure, possesses a strong ability to perform effectively.Ability to work on multiple languages -NL- Java/.net/Python/Andriod/Adobe Flex/Jasper/SQL. -NL- **`OBJECTIVE`[SUMMARY_HEADING]** -NL- A position that entails usage of my development skills and promises growth. My strength is being a fast -NL- learner with dedication and an inner drive to succeed. -NL- **`KEY TECHNICAL SKILLS`[SKILLS_HEADING]** -NL- Javascript/Html 5/CSS 3 -NL- Core Java 1.5/1.6/1.7 -NL- Jelly script/ REST API -NL- JSP/Servlets/AngularJS -NL- Javascript / jQuery / Dojo / YUI AngularJS 2/ Cordova -NL- Spring AOP/MVC/Core/REST -NL- REST / SOAP /JAXB2/JAX-RS Scoped Glide API -NL- **`CAREER SUMMARY`[OTHERS_HEADING]** -NL- April 2015 – Present (Contract) -NL-**` Cisco Consultant`[EMPLOYER_COMPANY_NAME]** -NL- (ServiceNow, AngularJS) -NL-  Designing and development of Cloudstore market CMS (Single page application) using -NL- Cisco’s CliQr product and ServiceNow Geneva integration. -NL-  Hands-on technical delivery including required documentation of cost-effective Service-now -NL- solutions using a number of technical skills such as HTML 5/ XML/ CSS 3/ Jelly script -NL- JavaScript/AngularJS/JSON/AJAX/REST/UI scripts/Script include/Business -NL- rule/Workflow/, Integrations (web services, SOAP, email, SSO, LDAP) -NL-  Scoped Glide API development using GlideRecord, GlideSystem, GlideUser and more. -NL-  Implemented Incident, Change, Problem, Service catalogue management. -NL-  Defining and designing different access control policies for different user groups/roles. -NL-  Developing applications using private & global scopes. -NL-  Designing and developing SOAP and RESTful web Services. -NL-  POC development using Apache Cordova for cloud management application. -NL-  Working knowledge of the web applications, networks, protocols and email -NL-  Designed and developed service architecture model and mapped services via CMDB. -NL-  Overall administration of the ServiceNow instance. -NL-  Configuration of all application UIs, Workflows and notifications. -NL-  Implemented events based notifications in the workflows. -NL-  Hands-on design, development and deployment experience with the Service-now platform. -NL-  Completed programming assignments in a timely manner ensuring that solution is properly -NL- tested before deploying to a production environment. -NL-  Assist in preparing requirement specifications and design documents -NL-  Facilitate the implementation and integration of all modules -NL-  Participated in design review with other team members -NL-  Ability to communicate effectively with customers as well as team members -NL-  Provided recommendations for process improvement across all Service-Now modules and -NL- custom applications -NL-  Configuration consistency across development, test and production environments -NL-  Effectively manage and prioritize implementation tasks effectively -NL-  Excellent analytical and problem solving ability -NL-  Strong work ethic, self-motivated and well-organized; able to work under pressure to tight -NL- deadlines -NL-  Strong attention to detail and a commitment to quality -NL-  Team Player/Self-starter, capacity to work on multiple projects. -NL-  Client facing experience and gathering requirements. -NL- September 2014 – March 2015 (Contract) **`Bibby Financial -NL- Services Ltd`[EMPLOYER_COMPANY_NAME]**, **`Software Engineer `[EMPLOYER_ROLE]**-NL-  Developing and maintaining operational reports and reporting portal for BFS new core -NL- Factoring Platform (Aquarius, from HPD Software Ltd) currently being deployed in the UK -NL- & Europe. -NL-  Involved in full software life cycle including analysis, design, development, deployment, -NL- support using KOCKOUT.JS / D3.JS / Jaspersoft/ireport/Jasper Studio/Jasper -NL- server/JAVA/J2EE/Spring/Hibernate/REST/SOAP/XML/JAXB/JMS/IReport -NL- /YUI/JAX-RS/JSP/Qlikview/SQL server/SSIS/SSRS/ETL/AngularJS/MongoDB -NL- technologies. -NL-  Developed complex UI dashboard view and reports queue management modules of -NL- reporting portal with widgets features of export/print/copy/share/link -NL-  Working using agile development methodology with TDD/BDD practices. -NL-  Developed standards, processes and performance criteria for Reports Portal -NL- Development, including customisation and branding of existing package reports for BFS -NL-  Analysis of Business Requirements and documenting Functional Requirements relating to -NL- operational reports for internal and external end users -NL-  Work with HPD to understand the Aquarius Business Data Warehouse (BDW) Database -NL- Schemas, Dimension Models, Tables and ETL mapping from Aquarius to the BDW -NL-  Develop SQL and design Report layouts, optimise, debug and unit test all reports with -NL- output in PDF, Excel, CSV, RTF, XML & HTML formats -NL-  Support multi-lingual reporting requirements by externalising all literals and language -NL- dependent variables to allow translation into European languages including, German, -NL- Dutch, French, Polish, Swedish, Czech and Slovak -NL-  Performance optimisation using Jmeter/Eclipse MAT of several modules. -NL-  Ensure that documentation is kept up to date. -NL-  Jasper repositories administration, performance testing and query optimisation. -NL-  Developed custom functions using jasper scriptlets. -NL-  Also developed POC application using technologies Java/J2EE/Jasper report/Bootstrap to -NL- optimise the manual data processes. -NL- May 2012 – August 2014 (Permanent) -NL- **`MediaMorph`[EMPLOYER_COMPANY_NAME]** London -NL- UK, **`Lead Software Engineer `[EMPLOYER_ROLE]**-NL-  Software-as-a-service (SaaS) company that provides data management, analytics and -NL- applications for managing digital distribution to 600+ platforms globally, analyze the -NL- streaming of 4B+ videos per month, track 45M TV viewers daily across 40+ US & UK -NL- networks. -NL-  Designed and developed product called “The Programming Optimizer” which will help -NL- distributors of video content to optimize the way that they are programming content on -NL- their web and mobile sites. -NL-  Lead Engineer for UK customers and delivered several projects under SaaS model -NL- successfully using agile development methodology and TDD. -NL-  Involved in full software life cycle including analysis, design, development, deployment, -NL- support, documentation using JAVA/J2EE/Spring/Hibernate/AWS/Oracle/ -NL- Jersey/XML/XSLT/JAXB/Qlikview/Jasper Report/IReport/JSON/Brightcove Player & -NL- CMS, OAuth, Player API/Postgres 9/JAX-RS technology. -NL-  Liaise with customer and other team members (QA, Product Manager) to deliver effective -NL- solutions to customer. -NL-  Data analysis and handling of big data using postgres 9 and mongoDB and development -NL- of stored procedures, views, cursor using oracle & postgres 9. -NL-  Using agile scrum development methodologies and n-tier architecture. -NL-  Providing support for issues on different projects and resolution according to SLA. -NL-  Code versioning, Release management, automated builds, task estimation. -NL-  System integration with third party web services and optimisations. -NL-  Memory profiling and diagnosing memory leak using profiling tools (Memory Analyzer -NL- MAT) to make the code robust and optimized. -NL-  Research and development for new applications. -NL- Key Projects and Achievements -NL-  Achieved "Max Leadership Award" with the price of $500 in London office. -NL-  Successfully and on time delivery of projects to BBCW, ITV AND ALL3MEDIA. -NL-  Successful delivery of projects to UK customers hence the team has recently won the -NL- project from world’s largest cable operator company Liberty Global Amsterdam. -NL-  Redesigned and developed few components to process large Excel (XLS, XLSX)files -NL- using steaming methods to reduce memory footprint. -NL-  Memory leak detection using MAT memory profiler and resolution of issues in production. -NL-  Recognised as the 'go-to' person for colleagues throughout the organisation due to my -NL- ability to answer their questions in a language appropriate to each person. -NL- October 2009 – April 2012 (Permanent) **`Aimia`[EMPLOYER_COMPANY_NAME]** London UK, -NL- **`Senior Software Engineer `[EMPLOYER_ROLE]**-NL-  Developed analytics and reporting components using JAVA/J2EE/Adobe Flex with Oracle/ -NL- WX2 database. -NL-  Liaise with customer and other team members (QA, Product Manager) to deliver effective -NL- solutions to customer. -NL-  Code optimization, code review and restructuring of several modules. -NL-  Unit testing and integration testing. -NL-  Client and server side development using Java 1.6, J2EE, Flex 3, Spring 3.0, -NL- Hibernate 3, Spring MVC, Eclipse, Tomcat, SOAP, XML, web services, JSP, -NL- Servlets, JMS, UML, Ant, JQuery, SAX , AWS, Continuum, Bamboo, -NL- Multithreading, Struts, Junit, DBtester, ActiveMQ -NL-  Database development stored procedures, views, cursor using oracle & postgres. -NL-  Provide support for issues on different projects. -NL-  Research and development for new applications. -NL-  Code versioning, Release management, automated builds, Estimating work. -NL- Key Projects and Achievements -NL-  Improved usability of several reporting components by reducing the loading time 70% -NL- with cache techniques. -NL-  Automated the UI builds using Ant and Bamboo server which has reduce the deployed -NL- time by 80% and increase deployment frequency on test and production servers. -NL-  Graded A+ in annual reviews and received full annual bonus. -NL-  Introduced new libraries and UI components which has simplified and increased -NL- productivity by 80% in few reporting components. -NL-  Improved initial application UI loading by 80% using concurrent requests techniques from -NL- UI. -NL- January 2006 – September 2009 **`Folio3`[EMPLOYER_COMPANY_NAME]** Pakistan, **`Technical -NL- Lead Engineer`[EMPLOYER_ROLE]** -NL-  SideStep was a traveler’s search engine. It allowed users to do fare comparison for -NL- flights, hotel stays and car rentals. Later in 2007 SideStep was acquired by Kayak for -NL- $200M. -NL-  Technical analysis of the projects which includes application design analysis, -NL- comprehensive study of requirement documents andfinalizing technical specifications. -NL-  Development of Project plan which includes resource identification and allocation, project -NL- scheduling and identification of milestones. -NL-  Detailed coordination with the client on different projects. -NL-  Analysis and development of applications, code reviews, testing and deployment. -NL-  Assignment of tasks to team members, regular monitoring of the progress and reporting -NL- to clients and Project Manager regularly. -NL- Key Projects and Achievements -NL-  Integrated 250+ travelling data suppliers successfully using REST/SOAP/Html scrapping -NL- services. -NL-  Designed and developed testing framework for web services component to ensure -NL- integrity and data availability. -NL-  Received double bonus and promotions in a year because of satisfied clients. -NL- **`EDUCATION`[EDUCATION_HEADING]** -NL- MCS: **`Masters in Computer Science`[EDUCATION_DEGREE]** (2005) – Silver Medallist -NL- **`PROFESSIONAL CERTIFICATIONS`[OTHERS_HEADING]** -NL- 1. Adobe certified expert Flex3 with air. -NL- Oct 07, 2009 -NL- 2. Sun Certified Java Programmer (SCJP) -NL- May 16,2002 -NL- 3. Sun Certified Web Component Developer (SCWCD) -NL- Nov 09, 2002 -NL- 4. IBM’S Object Oriented Analysis and Design with UML -NL- Mar 08, 2003 -NL- 5. Developing and Implementing Windows based Applications with Microsoft Visual Basic .NET -NL- July 15, 2005 -NL- 6. Designing and Implementing Databases with Microsoft SQL Server 2000 Enterprise Edition -NL- July 28, 2005 -NL- 7.Developing and Implementing web applications with MS Visual Basic .Net and Visual Studio .Net Sep 05, 2005 -NL- 8.Developing XML Web Services and Server Components with MS Visual Basic .NET -NL- Sep 12, 2005 -NL- 9. Analyzing Requirements and Defining Microsoft.Net Solution Architectures. -NL- Aug 12, 2005 -NL- **`PERSONAL DETAILS`[PERSONAL_DETAILS_HEADING]** -NL- Driving Licence Full/Clean -NL- Health -NL- Excellent; non-smoker -NL- Languages -NL- Fluent English, Urdu & Punjabi -NL- **`INTERESTS AND ACTIVITIES`[SKILLS_HEADING]** -NL- Currently include -NL- Badminton & Swimming -NL- **`TECHNICAL SKILLS`[SKILLS_HEADING]** -NL- Languages: -NL- Java, J2EE, SQL, JSP, C, DHTML, XHTML, CSS, Flex 3, Actionscript -NL- 2/3, Ajax, WML, Sql server 2000 -NL- Operating Systems: -NL- Linux Redhat, Fedora, Centos, Ubuntu, Windows 95, 98, Me, NT, 2000, 2008 -NL- Server, XP, Vista; -NL- Methodologies: -NL- TDD, XP, Agile, SCRUM, Peer Review, SOA, UML, CMS; -NL- Database (Servers/Tools): MySQL, PostgreSQL, MS SQL Server, Oracle; -NL- Technologies / Frameworks -NL- /Libraries/Reporting tools: Struts 1 & 2, Hibernate, Spring, JSP, Servlets, Javascript, XML, JSTL, EJB, -NL- Log4J, XSLT, Xerces, Xalan, SOAP, JSON, Applets, JNI, XStream, Apache -NL- POI, Java Mail, JDBC, XDoclet, JMS, JMX , Apache Http client, tiles, -NL- jQuery, web services, Axis, Jasper Report , IReport, Open Report, WURFL, -NL- WAP, WML, JSF, Liferay portlet, Xpath, JPA, REST API.Maven 2,Tapestry, -NL- EHCache, Axis2, Multithreading, PL/SQL. VB.net, ASP.net, Lucene, Apache -NL- CXF,BIRT, Qlikview -NL- Networking / Protocols: -NL- TCP/IP, UDP, HTTP, HTTPS, FTP, SOAP, SSH, SCP, WAP; -NL- IDE and Tools: -NL- Flex builder 3, Eclipse, Netbeans, JBuilder, Notepad++, Visual Studio, -NL- JProfiler, Install Anywhere, Wingware Python IDE, Myeclipse, Flash CS 3 -NL- Professional, Flash Develop; -NL- Web/Application Servers: Apache Tomcat, Apache http server, IIS, Websphere, JBoss; -NL- Repository / Merge Tools: SVN, CVS, Subversion, Perforce, PVCS, Tortoise SVN, CVS Web, -NL- WinMerge, confluence wiki , track, Bugzilla, JIRA, Hudson, Bamboo, -NL- Confluence. -NL- Testing / Build Tools: -NL- JUnit, JMock, ANT, Selenium/JBehave; -NL- References are available on request -NL- 